RSBag - Enhancement #924
Tools should work without libspread
03/05/2012 12:41 PM - J. Moringen

Status: Resolved Start date: 03/05/2012
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7

Description

When libspread (or equivalent) is not available at runtime, the tools should still work, but disable the Spread transport.

Associated revisions

Revision 4aa6fbe1 - 03/09/2012 04:13 PM - J. Moringen
Do not fail if Spread library cannot be loaded in main/dump.lisp
fixes #924
- main/dump.lisp (reload-spread-and-main): handle failures to load

Spread library by just warning and then continuing

Revision 3b108d1a - 03/11/2012 04:30 PM - J. Moringen
Adapted troubleshooting section in manual/preparation.rst
refs #924
- manual/preparation.rst: adapted description of
missing-spread-library problem to new behavior of binaries

Revision eaa16b83 - 03/11/2012 04:55 PM - J. Moringen

merged handling of absent Spread library from trunk (r370, r372) refs #924

Revision e19f2f74 - 03/11/2012 04:55 PM - J. Moringen

merged handling of absent Spread library from trunk (r370, r372) refs #924

History

#1 - 03/09/2012 04:17 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r370.
